Subject: bug#9891: 24.0.90; Duplicated entry at the info directory

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Nov 2011 05:55:42 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 02 Nov 2011 00:31:14 +0200
> 
> True, but this is what I see on GNU/Linux in "(dir) Top", at the top:
> 
> * Info: (info).                 How to use the documentation browsing system.
> 
> and in the "Texinfo documentation system" section:
> 
> * Info: (info).                 How to use the documentation browsing system.
> 
> The former is from the Emacs source tree, and the latter duplicate
> is from /usr/share/info/.

Emacs cannot fix that.  You need to fix this by re-arranging and/or
editing your DIR files.

> I think it's more wrong when clicking on the link in the
> "Texinfo documentation system" section visits the Info file
> from the Emacs source tree instead of the Texinfo installation
> in /usr/share/info/.

Then make the entries unambiguous.

> The problem with removing duplicates is its heuristics that is too
> unpredictable and ad-hoc.  Sometimes it leaves duplicates not removed,
> and sometimes removes non-duplicates, e.g. I see that it removed the
> second entry from these lines in `dir':
> 
> * _exit: (libc)Termination Internals.
> * _Exit: (libc)Termination Internals.

Case sensitivity?  Anyway, if the code in Info-dir-remove-duplicates
is imperfect, we should improve it.